Recommended update for krb5

SUSE Recommended Update: Recommended update for krb5
Announcement ID: SUSE-RU-2019:13966-1
Rating: moderate
References: #1056995 #1081725 #1114897
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 11-SP4
  • SUSE Linux Enterprise Server 11-SP4
  • SUSE Linux Enterprise Point of Sale 11-SP3
  • SUSE Linux Enterprise Debuginfo 11-SP4

An update that has three recommended fixes can now be installed.

Description:

This update for krb5 fixes the following issues:

  • Fix GSS failures in legacy applications; (bsc#1081725); (bsc#1114897);
  • Fix a context leak in gss_accept_sec_context introduced by (bsc#1056995)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Software Development Kit 11-SP4:
    zypper in -t patch sdksp4-krb5-13966=1
  • SUSE Linux Enterprise Server 11-SP4:
    zypper in -t patch slessp4-krb5-13966=1
  • SUSE Linux Enterprise Point of Sale 11-SP3:
    zypper in -t patch sleposp3-krb5-13966=1
  • SUSE Linux Enterprise Debuginfo 11-SP4:
    zypper in -t patch dbgsp4-krb5-13966=1

Package List:

  • SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64 s390x x86_64):
    • krb5-devel-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Software Development Kit 11-SP4 (ppc64 s390x x86_64):
    • krb5-devel-32bit-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 x86_64):
    • krb5-server-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):
    • krb5-1.6.3-133.49.113.10.1
    • krb5-apps-clients-1.6.3-133.49.113.10.1
    • krb5-apps-servers-1.6.3-133.49.113.10.1
    • krb5-client-1.6.3-133.49.113.10.1
    • krb5-server-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):
    • krb5-32bit-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Server 11-SP4 (ia64):
    • krb5-x86-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Point of Sale 11-SP3 (i586):
    • krb5-1.6.3-133.49.113.10.1
    • krb5-apps-clients-1.6.3-133.49.113.10.1
    • krb5-apps-servers-1.6.3-133.49.113.10.1
    • krb5-client-1.6.3-133.49.113.10.1
    • krb5-server-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):
    • krb5-debuginfo-1.6.3-133.49.113.10.1
    • krb5-debugsource-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):
    • krb5-debuginfo-32bit-1.6.3-133.49.113.10.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (ia64):
    • krb5-debuginfo-x86-1.6.3-133.49.113.10.1

References: